<div class="p-formgrid grid">
  <div class="col-12 md:col-8">
    <p-card>
      <ng-template pTemplate="title">
        <div class="flex justify-content-between align-items-center">
          Gruppen-Kategorien
          <p-button
            *urboCmsUiHasPermission="Permission.CategoryWrite"
            icon="pi pi-plus"
            (onClick)="showDialogForNewGroupCategory()"
            class="p-button-success p-mt-2"
          ></p-button>
        </div>
      </ng-template>
      <p-accordion [multiple]="true">
        <ng-container *ngFor="let groupCategory of groupCategories">
          <p-accordionTab>
            <ng-template pTemplate="header">
              <div
                class="flex justify-content-between align-items-center w-full"
                (drop)="onDrop($event, groupCategory.id!)"
                (dragover)="allowDrop($event)"
              >
                <span>{{ groupCategory.title.de }}</span>
                <div class="flex gap-1">
                  <ng-template
                    *urboCmsUiHasPermission="Permission.CategoryWrite"
                  >
                    <p-button
                      icon="pi pi-chevron-up"
                      (onClick)="moveGroupCategoryUp($event, groupCategory)"
                      class="p-button-secondary"
                      *ngIf="!isFirstGroupCategory(groupCategory)"
                    ></p-button>
                    >
                    <p-button
                      icon="pi pi-chevron-down"
                      (onClick)="moveGroupCategoryDown($event, groupCategory)"
                      class="p-button-secondary"
                      *ngIf="!isLastGroupCategory(groupCategory)"
                    ></p-button>
                    <p-button
                      *urboCmsUiHasPermission="Permission.CategoryWrite"
                      icon="pi pi-pencil"
                      (onClick)="editGroupCategory($event, groupCategory)"
                      class="p-button-secondary"
                    ></p-button>
                  </ng-template>
                  <p-button
                    icon="pi pi-trash"
                    *urboCmsUiHasPermission="Permission.CategoryDelete"
                    (onClick)="
                      confirmDeleteGroupCategory($event, groupCategory.id!)
                    "
                    class="p-button-danger"
                  ></p-button>
                </div>
              </div>
            </ng-template>
            <div
              *urboCmsUiHasPermission="Permission.CategoryWrite"
              (drop)="onDrop($event, groupCategory.id!)"
              (dragover)="allowDrop($event)"
              style="min-height: 50px; border: 1px dashed #ccc"
              class="p-d-flex p-flex-wrap p-ai-center p-jc-start p-p-2"
            >
              <div
                *ngFor="
                  let category of groupedCategories[groupCategory.id!];
                  let i = index
                "
                draggable="true"
                (dragstart)="onDragStart($event, category, groupCategory.id!)"
                (dragend)="onDragEnd()"
                (dragover)="onDragOver($event, groupCategory.id!, i)"
                class="p-2 draggable-item"
              >
                <p-chip [label]="category.title.de"></p-chip>
              </div>
            </div>
          </p-accordionTab>
        </ng-container>
      </p-accordion>
      <p-confirmDialog key="deleteGroupCategory"></p-confirmDialog>
    </p-card>
  </div>
  <div class="col-12 md:col-4">
    <urbo-cms-pois-ungrouped-categories
      [groupedCategories]="groupedCategories"
      (categoryUpdated)="onCategoryUpdated()"
    ></urbo-cms-pois-ungrouped-categories>
  </div>
</div>

<urbo-cms-pois-poi-new-category
  (created)="loadContent()"
  (updated)="loadContent()"
  [categoryToEdit]="categoryToEdit"
  [activeTabIndex]="1"
  [groupCategoryToEdit]="groupCategoryToEdit"
>
</urbo-cms-pois-poi-new-category>
